*** Settings ***
Resource          FaultManagement-APIKeyword.robot
Suite Setup    Check resource existence and get CallbackUri

*** Test Cases ***
Alarm Notification
    [Documentation]    Test ID: 8.3.3.7.1
    ...    Test title: Alarm Notification
    ...    Test objective: The objective is to test that Alarm Notification is delivered with success to the notification consumer.
    ...    Pre-conditions: A subscription for alarm notification is available in the NFV-MANO.
    ...    Reference: clause 7.5.7.3.1 - ETSI GS NFV-SOL 009 [7] v3.5.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    Post Alarm Notification
    Check HTTP Response Status Code Is    204

Alarm Cleared Notification
    [Documentation]    Test ID: 8.3.3.7.2
    ...    Test title: Alarm Cleared Notification
    ...    Test objective: The objective is to test that Alarm Cleared Notification is delivered with success to the notification consumer.
    ...    Pre-conditions: A subscription for alarm cleared notification is available in the NFV-MANO.
    ...    Reference: clause 7.5.7.3.1 - ETSI GS NFV-SOL 009 [7] v3.5.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    Post Alarm Cleared Notification
    Check HTTP Response Status Code Is    204

Alarm List Rebuilt Notification
    [Documentation]    Test ID: 8.3.3.7.3
    ...    Test title: Alarm List Rebuilt Notification
    ...    Test objective: The objective is to test that Alarm List Rebuilt Notification is delivered with success to the notification consumer.
    ...    Pre-conditions: A subscription for alarm list rebuilt notification is available in the NFV-MANO.
    ...    Reference: clause 7.5.7.3.1 - ETSI GS NFV-SOL 009 [7] v3.5.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    Post Alarm List Rebuilt Notification
    Check HTTP Response Status Code Is    204
